function my_display
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
N=128;
n = 2*N;

main_hndl = gcbf;

sig_hndl = findobj(main_hndl,'Tag','PopupMenu1');
freq_hndl = findobj(main_hndl,'Tag','PopupMenu4');
opt_hndl = findobj(main_hndl,'Tag','PopupMenu3');
sl_hndl = findobj(main_hndl,'Tag','Slider1');
txt_hndl = findobj(main_hndl ,'Tag' , 'StaticText7');


opt_val = get(opt_hndl , 'Value');

if (opt_val == 3)
   set (sl_hndl , 'Enable' ,'on');
   set (txt_hndl , 'Visible' , 'on');
   
else
   set (sl_hndl , 'Enable' ,'off');
   set (txt_hndl , 'Visible' , 'off');

end


   
   


signal = get (sig_hndl , 'UserData');
freq = get (freq_hndl , 'UserData');

To = 1/freq;

time = linspace (0,To ,n+1);
n_time = linspace (0,2*To ,2*n+1);
time(end) = [];
n_time(end) = [];

switch (opt_val),
case(1),
 % cla;
  plot (n_time , [signal signal]);
  title('Signal');
  xlabel('Time');
  ylabel ('Values');
  
   
case(2)
%   cla;
   t_ax = [-N:N]/To;
   [fs,act_fs] = get_fs(signal);
   stem(t_ax , abs(fs));
   title('Fourier Series Coefficients');
   xlabel ('Analog frequency');
   ylabel ('Magnitude');
   
case(3)
  % cla;
   [fs,act_fs] = get_fs(signal);
   sl_val = get (sl_hndl , 'Value' );
   points = floor(sl_val * 99)+1;
   set (txt_hndl ,'String',num2str(points));
   n_sig = make_sig(act_fs , points);
   
   plot (n_time , [signal signal]);
   hold on;
   plot (n_time , [n_sig n_sig],'r--');
   hold off;
	legend ('Actual ','Generated by FS');
   title('Comparisons');
   xlabel ('time');
   ylabel ('Values');
   
   
end

%zoom on;
   
   
   
